Morty Mortgage - Calculate Your Payments, Make an Excel File - by Mike Robinson

Software by Mike Robinson
Morty Mortgage
Calculate Your Payments, Make an Excel File

Download

Download Download Home Home Purchase Purchase

Enter the interest rate, loan amount, number of years, and Morty Mortgage calculates the monthly payment and all the values to the end of the loan. Each payment is broken down into principal and interest, including a running total. The total interest paid in each tax year is also shown in red to estimate your tax deduction. Make an excel spreadsheet or save in 9 files types: text, CSV comma delimited, web page, rich text, BMP, JPG, PNG, GIF. Calculate a car loan or any type of fixed-rate loan with monthly payments. A checkbox selects whether the interest is compounded monthly, or semi-annually as done in Canada. If you want to pay off the mortgage faster, you can also enter an extra payment included with each normal payment, or a balloon payment due at the end of the loan. Morty Mortgage is unique in that it can calculate huge loans up to one trillion dollars. The values shown and in the files is also known as an amortization schedule . The program saves and restores the loan values and window size/position the next time it is run.

This program will work with any currency type such as Dollars, Euros, Pounds, Yen.

Click the headings and drag the columns around to any order. Right-click on the headings to add or remove columns. Click the edge of a column and drag to adjust the width. Removed columns are made invisible and not included in the saved files. The column arrangement in the saved files is the same as shown on screen. You can use your own standard arrangement to calculate many different mortgages all in the same format. The program saves and restores the column arrangement the next time it is run.

Here is an example of the Excel spreadsheet:

To create Excel files, you must have a copy of Microsoft Excel installed on the computer.

This is a 32 bit program and will run on Windows ME, NT, 2000, XP, Vista, Windows 7, and Windows 8. It also runs OK on 64-bit systems.

See the bottom of this page if you would like to purchase Morty Mortgage for just $10.00 (Ten US Dollars). This trial version will operate for 14 days. If you purchase the program I will send you a serial number by email that will enable continued operation with no time limit and remove the exit nag screen. Pay once and all future upgrades are free. Your serial number will work with all future versions. This demo version is fully functional. No features have been removed. It contains no spyware, no advertising.

See below for installation instructions.

Program Operation

To change the input values click the up/down arrow on the right side of each input box:

Each time you click the number changes by one increment and the entire table is recalculated.

The program saves and restores the increments for each value the next time it is run.

Input Values

There are 6 variables you can enter:

Interest Rate - The simple uncompounded interest rate of the loan. This number is usually given by the bank. The program uses this number to calculate the APY (Annual Percentage Yield) which is the compounded interest rate. Values from 0.0001 to 99.9999 are allowed with up to 4 decimal places to the right of the decimal point.

Loan Principal - The total amount of the loan. This may be in any currency such as Dollars or Euros. Values from 1 to 1 trillion are allowed.

Years - The number of years in the loan. Must be a whole integer number. Partial or fractional years are not allowed. Values from 1 to 99 are allowed.

Start Date - The date the loan begins. The first payment is due 1 month after this date. Click on the down arrow to display a selection calendar. Loans may begin on any day of the year. A loan begun on the 31st will have a payment due on the last day of the month in months with fewer than 31 days. Leap years are included and calculated as required.

Extra Payment - This value is optional. Most loans have a zero extra payment. This is an extra amount you would include with each payment of the loan. It allows you to pay off the loan faster. If you include an extra payment the length of the loan is automatically shortened. For example, an extra payment of just $30 per month might allow a 30 year mortgage to be paid off in 28 years. The extra payment must be less than the total principal amount of the loan.

Balloon Payment - This value is optional. Most loans have a zero balloon payment. A balloon payment is a one-time payment you must make at the very end of the loan. The balloon payment must be less than the total principal amount of the loan.

Column Operations

The next time you start Morty it will remember which columns are on and off, column locations, and column widths.

File Menu

Save File As... Save table in 9 file formats:

Text (Space Delimited) (*.txt)
Text (SemiColon Delimited) (*.txt)
CSV (Comma Delimited) (*.csv)
Web Page (*.html)
Rich Text (*.rtf)
BMP Image (*.bmp)
JPG Image (*.jpg)
PNG Image (*.png)
GIF Image (*.gif)

Make Excel All - Make Excel file of table including all columns. The Excel button also performs this function.

Make Excel Visible - Make Excel file of table including only columns set visible.

Right-Click Menu

Click on a cell to select the cell. Then right-click on the cell to bring up a menu similar to the file menu with these additional functions:

Copy Cell - Copy the cell to the Windows Clipboard.

Copy Column - Copy the column to the clipboard.

Copy Row - Copy the row to the clipboard

Copy All - Copy the entire table to the clipboard. This function is also available in the edit menu.

Buttons

Reset Form - Reset form to initial position, width, height.

Reset Values - Reset all 6 input variables to initial values.

Reset Columns - Make all columns visible, restore initial column order and width of each column.

Install

Run morty-setup.exe to install the program. This will create a folder, copy all the files to the folder, and create shortcuts on the desktop and the start menu. This is a 32-bit program designed for Windows 98, ME, 2000, NT, XP, Vista, Windows 7, and Windows 8. The installed size of the program is less than 2 megabytes. The program saves its settings in the Windows Registry when you exit from the program.

An alternate install method is to download the executable file morty.exe. Then just run the program. If you use this method, then to uninstall simply delete the files.

UnInstall

Open Windows Control Panel, select Add Remove Programs, select Morty Mortgage in the list of programs, and click OK. The uninstall program will then run and remove the program. If you installed the program manually then delete the files to uninstall the program.

Saved Settings

When the program closes it remembers all of its settings by saving them in the Windows registry. It saves the size and location of the program on your desktop. The next time you use the program it will open the same drive or folder used in the last Drive Inventory.

Support

Send your questions and comments to: ElegantPie@HotMail.com

I fully support this program and will usually answer within 24 hours.

The latest version is always available on my Home Page:

http://www.elegantpie.com

Legal Stuff

This program is Copyright © 2013 Michael Robinson. All Rights Reserved. Use this program at your own risk. If you purchase this program and are not satisfied with it for any reason I will refund your money. You may give this file away free, but you may not sell it. It must be distributed as a package along with all files. Modification of the executable file is prohibited.

Revision History

1.0.0 Jan 15, 2013 Initial Public Release.

To create Excel files, you must have a copy of Microsoft Excel installed on the computer.

Purchase

If you purchase this program and are not satisfied with it for any reason I will refund your money.

This trial version will operate for 14 days. If you purchase the program I will send you a serial number by email that will enable continued operation with no time limit and remove the exit nag screen. Pay once and all future upgrades are free. Your serial number will work with all future versions. This demo version is fully functional. No features have been removed. It contains no spyware, no advertising.

The purchase price is $10.00 (Ten) US Dollars. I accept major credit cards, PayPal , or personal checks. Press one of the links below and your browser will open and go to PayPal with all the purchase information already filled out. You can use PayPal to pay by credit card even if you do not have a PayPal account. The total cost to you is $10.00. No fees or additional charges. Use your Visa, Mastercard, American Express, or Discover card. PayPal is a very secure and reliable payment system used by millions of people around the world.

Pay with credit card or PayPal Use your Credit Card.

Pay with credit card or PayPal Or send payment by PayPal to: ElegantPie@HotMail.com

Or send personal check or money order payable to Michael Robinson

Michael Robinson
PO Box 95
Shelton, CT 06484

Please add $10.00 if you would like a CD sent by US Mail to an address in the USA.
Please add $20.00 if you would like a CD sent by US Mail to an address outside the USA.

Official PayPal Seal I am PayPal Verified. My Account Creation Date is May 30, 2000.

The Official PayPal Verified Seal above means that I have provided PayPal with proof that I have a bank account and that my address is valid. Banks are required by law to screen account holders so PayPal's verification process increases security when you pay parties you do not know. My bank has my address and Social Security number on file. You can check that I am verified by clicking the PayPal Verified Seal above or by clicking on this link:

https://www.paypal.com/us/verified/pal=elegantpie%40hotmail.com

I use PayPal because the fees are low. If you send me $10.00 PayPal only takes about $1.00 so I net $9.00. All other payment services take several dollars so I would have to charge around $15 for my program to gain the same net. This lowers the cost to you. PayPal does not charge you any fees. PayPal is also free for me for most purchases, such as Ebay auction payments, but as a seller I am required to have a Premier Account with fees. If you do not have a PayPal account, you can still use PayPal to make a payment using your credit card. PayPal does not charge you any fees for this. PayPal is a very secure and reliable payment system used by millions of people around the world. All of your personal information is encrypted. The PayPal address begins with "https" and the "s" at the end means it is a secured website and your information is encrypted by your browser before being sent over the internet.

DOWNLOAD PURCHASE HOME EMAIL

elegantpie@hotmail.com

http://www.elegantpie.com